### Method

# ECal Client get_object_list

since: 3.2

#### Declaration [src]

    void
    e_cal_client_get_object_list (
      ECalClient* client,
      const gchar* sexp,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Gets a list of objects from the calendar that match the query specified by the `sexp` argument, returning matching objects as a list of `ICalComponent`-s. The call is finished by `e_cal_client_get_object_list_finish()` from the `callback`.

Available since: 3.2

This method completes asynchronously. Use `e_cal_client_get_object_list_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`sexp`

  Type: `const gchar*`

  An S-expression representing the query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.